## icecast2 2.3.2

=== debian/changelog ===
icecast2 (2.3.2-9+deb7u3) wheezy; urgency=medium

  * CVE-2014-9018
  * Add generated Makefile.in to debian/clean to allow building twice

 -- Simon Richter <sjr@debian.org>  Fri, 28 Nov 2014 21:27:53 +0100

icecast2 (2.3.2-9+deb7u2) wheezy; urgency=low

  * CVE-2011-4612 (Closes: #652663)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 21 Oct 2012 18:32:47 +0200

icecast2 (2.3.2-9+deb7u1) wheezy; urgency=low

  * Team upload.
  * Mark the first debconf template as translatable. Closes: #686181

  [ Debconf translations ]
  * Russian, Yuri Kozlov. Closes: #686263
  * Slovak, Slavko. Closes: #686280
  * Danish, Joe Hansen. Closes: #686288
  * Vietnamese, Nguyễn Vũ Hưng.
  * Swedish, Martin Bagge. Closes: #686444
  * French, David Prévot. 
  * Portuguese, Rui Branco. Closes: #686530
  * German, Erik Pfannenstein. Closes: #686591 
  * Polish, Michał Kułach. Closes: #686596
  * Czech, Michal Simunek. Closes: #686607
  * Italian, Beatrice Torracca. Closes: #686691
  * Dutch, Jeroen Schot. Closes: #686659
  * Brazilian Portuguese, Adriano Rafael Gomes. Closes: #652050, #686716
  * Spanish, Javier Fernández-Sanguino. Closes: #686773

 -- David Prévot <taffit@debian.org>  Tue, 04 Sep 2012 22:49:01 -0400

icecast2 (2.3.2-9) unstable; urgency=medium

  * Team upload.
  * Call db_stop before starting icecast2 in postinst.
    Thanks to Julien Cristau for the patch. (Closes: #639751)

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 01:42:12 +0100

icecast2 (2.3.2-8) unstable; urgency=low

  [ Alessio Treglia ]
  * Team upload.
  * debian/icecast2.1: Escape minus sign "-".
  * Fix lintian's debian-news-entry-uses-asterisk warning.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #640085
  * [Debconf translation updates]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #640085
  * [Debconf translation updates]
  * Vietnamese (Hung Tran).  Closes: #640674
  * Swedish (Martin Bagge / brother).  Closes: #640708
  * Russian (Yuri Kozlov).  Closes: #641026
  * French (Julien Patriarca).  Closes: #641142
  * Portuguese (Rui Branco).  Closes: #641159, #641158
  * German (Erik Pfannenstein).  Closes: #641048
  * Spanish; (SM Baby Siabef).  Closes: #642067
  * Dutch; (Jeroen Schot).  Closes: #642289
  * Czech (Michal Simunek).  Closes: #642332
  * Danish (Joe Hansen).  Closes: #642334

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 13:00:17 +0100

icecast2 (2.3.2-7) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Tidy user+group creation and removal.

  [ Alessio Treglia ]
  * Switch to source format 3.0 (quilt).
  * Improve the short description, video streaming support was
    not mentioned (Closes: #610830).
  * Add config/templates/postinst configuration (Closes: #623256).
    Thanks to Robin Gareus for the patch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Aug 2011 11:42:18 +0200

icecast2 (2.3.2-6) unstable; urgency=medium

  * Team upload.
  * New Maintainer as the Icecast team is merging with Multimedia
    Maintainers: update Vcs-* tags, add git-buildpackage config file.
  * Prevent icecast2 to fail to reinstall/upgrade/purge (Closes: #605507):
    - debian/icecast2.postinst:
      + Avoid to fail on invoke-rc.d icecast2 start when upgrading.
    - debian/icecast2.init:
      + When stopping, send TERM after 5 seconds, wait at most 30 seconds.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Dec 2010 09:01:54 +0100

icecast2 (2.3.2-5) unstable; urgency=high

  * Added patch to fix a memory leak. 
    Thanks to Gilles Pietri for reporting
    and Jussi Kukkonen for providing a patch.
  * Bumped standards version to 3.8.3 
  * Added doc-base registration.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 14 Dec 2009 10:05:47 -0600

icecast2 (2.3.2-4) unstable; urgency=low

  * Add README.Debian mentioning the use of Subversion, CDBS, quilt and
    DEB_MAINTAINER_MODE.
  * Update CDBS snippets:
    + Add new snippet package-relations.mk.
    + Consistently use underscore (not dash) in variables.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Resolve, cleanup and apply CDBS-declared dependencies using
    package-relations.mk.
  * Build-depend on autotools-dev.
  * Merge mutiple build-dependencies on cdbs. Closes: bug#550227, thanks
    to Stefan Ritter.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Oct 2009 16:55:02 +0200

icecast2 (2.3.2-3) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Cosmetic changes to debian/rules.

  [ Romain Beauxis ]
  * Bumped standards version to 3.8.2
  * Bumped compat to 7
  * Removed inactive uploader.
  * Added missing xspf.xsl. This file is missing
    from upstream's 2.3.2 tarball.
  Closes: #513398
  * Added test for icecast2 running process in
    logrotate's postrotate script.
  Closes: #522703
  * Relaxed non-config file permissions in /etc/icecast2
  Closes: #519486
  * Added retry option for icecast2's init.d restart action.
  Closes: #533182
  * Changed recommends on ices2 to suggests now that 
    recommended packages are installed by default.
  * Removed path in postrm script commands, see lintian 
    warning 'command-with-path-in-maintainer-script'.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 31 Jul 2009 02:50:37 +0200

icecast2 (2.3.2-2) unstable; urgency=low

  * Update local cdbs snippets:
    + Always do copyright-check, but only warn by default.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_MAINTAINER_BUILD=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jun 2008 00:47:34 +0200


