## icecast2 2.3.2-1

=== debian/control ===
Source: icecast2
Section: sound
Priority: optional
Maintainer: Jeff Moe <moe@blagblagblag.org>
Build-Depends: cdbs, debhelper (>> 4.1.0), dh-buildinfo, libogg-dev (>> 1.0.0), libvorbis-dev (>> 1.0.0), libxslt1-dev, libxml2-dev
Standards-Version: 3.6.0

Package: icecast2
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ices2
Description: streaming Ogg Vorbis/MP3 media server
 Icecast is an audio broadcasting system.  It can stream music in both
 MPEG 1 Layer 3 (MP3) and Ogg Vorbis formats, supports multiple
 streams on a single port through the use of "mountpoints," includes
 web-based status and management interfaces, and has many other
 advanced features.
 .
 Many standard audio players can connect and listen to Icecast-hosted
 streams, since it's based on Nullsoft's Shoutcast protocol and HTTP.
