## icecast2 2.3.3

=== debian/changelog ===
icecast2 (2.3.3-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
      xmlCleanupParser() is only called once: on exit. Doing otherwise
      potentially results in Bad Things (e.g., crashes that point
      incorrectly to PulseAudio).
  * Refresh patch.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 10 Apr 2014 14:01:47 -0400

icecast2 (2.3.3-2) unstable; urgency=low

  * Team Upload.

  [ Jonas Smedegaard ]
  * Add DEP3 header to patch 1001.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Drop obsolete NEWS file: Latest news more than 8 years ago.
  * Modernize CDBS usage:
    + Re-enable upstream tarball handling and copyright-check.
    + Drop unused local snippets.
    + Reorganize CDBS usage in rules file.
    + Drop obsolete README.cdbs-tweaks.
  * Extend copyright years for packaging, and add proper licensing
    header to rules file.
  * Rewrite copyright file, using DEP5 format.
  * Bump standards-version to 3.9.3.
  * Bump autotools to match versions used upstream.
  * suppress copyright-check of some images.
  * Put aside autogenerated files during build, and regenerate most
    possible of them.
    Closes: bug#653401. Thanks to Peter Eisentraut.

  [ David Prévot ]
  * Mark the first debconf template as translatable. Closes: #686181

  [ Debconf translations ]
  * Russian, Yuri Kozlov. Closes: #686263
  * Slovak, Slavko. Closes: #686280
  * Danish, Joe Hansen. Closes: #686288
  * Vietnamese, Nguyễn Vũ Hưng.
  * Swedish, Martin Bagge. Closes: #686444
  * French, David Prévot. 
  * Portuguese, Rui Branco. Closes: #686530
  * German, Erik Pfannenstein. Closes: #686591 
  * Polish, Michał Kułach. Closes: #686596
  * Czech, Michal Simunek. Closes: #686607
  * Italian, Beatrice Torracca. Closes: #686691
  * Dutch, Jeroen Schot. Closes: #686659
  * Brazilian Portuguese, Adriano Rafael Gomes. Closes: #652050, #686716
  * Spanish, Javier Fernández-Sanguino. Closes: #686773

  [ Felipe Sateler ]
  * Fix missing Copyright header
  * Init script: import lsb functions
  * Fix spelling mistake in README.Debian
  * Import changes from wheezy upload to master

 -- Felipe Sateler <fsateler@debian.org>  Tue, 25 Feb 2014 19:53:16 -0300

icecast2 (2.3.3-1ubuntu1) raring; urgency=low

  * Merge from debian unstable, remaining changes:
    - 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
      xmlCleanupParser() is only called once: on exit. Doing otherwise
      potentially results in Bad Things (e.g., crashes that point
      incorrectly to PulseAudio).

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 04 Dec 2012 16:08:48 +0100

icecast2 (2.3.3-1) unstable; urgency=low

  [ upstream ]
  * New upstream bugfix release.
    + Allow the source password to be undefined. This is to avoid
      falling back to a default password which would be a security
      problem. Fixing #1846
    + Applied justdave's patches, fixing #1717 and #1718. HTTPS now with
      better security and support for chained certificates.
    + trunk/icecast/conf/icecast_minimal.xml.in: Updated <alias> to use
      destination="" not dest="". The old dest="" attribute is still
      supported.
    + Added 'admin' and 'location' to default config, thus fixing #1839.
    + Added VCLT playlist support.
    Closes: bug#652663, which fixes CVE-2011-4612.

  [ Jonas Smedegaard ]
  * Setup git-import-orig to filter out debian subdir.
  * Drop patches 1002 and 1003, applied upstream.
  * Unfuzz patch 1001.
  * Avoid locally shipped CDBS snippets (but keep them included with
    source to minimize diff for freeze-exception inspection).
  * Add Brazilian Portuguese (pt_BR) localization.
    Closes: bug#652050. Thanks to Adriano Rafael Gomes.
  * Setup git-buildpackage to use wheezy branch.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jul 2012 10:31:34 +0200

icecast2 (2.3.2-9ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
      xmlCleanupParser() is only called once: on exit. Doing otherwise
      potentially results in Bad Things (e.g., crashes that point
      incorrectly to PulseAudio).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 07 Feb 2012 20:21:32 +0530

icecast2 (2.3.2-7ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
      xmlCleanupParser() is only called once: on exit. Doing otherwise
      potentially results in Bad Things (e.g., crashes that point
      incorrectly to PulseAudio).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 12:54:18 +0000

icecast2 (2.3.2-6ubuntu2) oneiric; urgency=low

  * No-change rebuild to drop libssl0.9.8 dependency on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 18:44:59 +0100

icecast2 (2.3.2-6ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #687581). Remaining changes:
    - 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
      xmlCleanupParser() is only called once: on exit. Doing otherwise
      potentially results in Bad Things (e.g., crashes that point
      incorrectly to PulseAudio).

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 08 Dec 2010 23:12:03 +0100

icecast2 (2.3.2-5ubuntu1) lucid; urgency=low

  * 1004_fix_xmlCleanupParser_splatter.patch: Make sure that
    xmlCleanupParser() is only called once: on exit. Doing otherwise
    potentially results in Bad Things (e.g., crashes that point
    incorrectly to PulseAudio).

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 15 Mar 2010 23:50:47 -0400
