=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://downloads.us.xiph.org/releases/icecast/icecast-([\d+\.]+|\d+)\.tar\.gz debian svn-upgrade
