## icecast2 2.4.0

=== debian/changelog ===
icecast2 (2.4.0-1.1+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2018-18820: buffer overflow in url-auth (Closes: #912611)

 -- Abhijith PA <abhijith@disroot.org>  Sun, 04 Nov 2018 19:18:01 +0530

icecast2 (2.4.0-1.1+deb8u1) jessie-security; urgency=high

  * This fixes a crash (NULL reference) in case URL Auth is used
    and stream_auth is trigged with no credentials passed by the client.
    Username and password is now set to empty strings and transmited to
    the backend server this way. (Closes: #782120, fixes CVE-2015-3026)

 -- Unit 193 <unit193@ubuntu.com>  Tue, 28 Apr 2015 16:25:58 -0400

icecast2 (2.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include patchset 19313 (close file handles for external scripts).
    (Closes: #770222)

 -- Simon Richter <sjr@debian.org>  Sun, 23 Nov 2014 20:02:58 +0100

icecast2 (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
    - Dropped patches applied upstream.
    - Update copyright.
  * Add myself to uploaders.
  * Make Vcs-* fields canonical.
  * Update init script
    - Add status option.  Closes: #742798
    - Don't cancel on the stop target. (Closes: #740666)
  * Remove obsolete file status2.xsl.
  * Bump standards-version to 3.9.5.
  * Bump debhelper compatibility level to 9.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 01 Sep 2014 11:01:08 -0400
