=== debian/control ===
Source: icecast2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Pellerin <yomguy@altern.org>,
 Romain Beauxis <toots@rastageeks.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 devscripts,
 libtool,
 automake1.11,
 autoconf,
 debhelper (>= 9),
 dh-buildinfo,
 libogg-dev (>> 1.0.0),
 libvorbis-dev (>> 1.0.0),
 libxslt1-dev | libxslt-dev,
 libxml2-dev,
 libcurl4-gnutls-dev,
 libtheora-dev (>= 0.0.0.alpha7),
 libspeex-dev,
 po-debconf,
 autoconf-archive
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/icecast2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/icecast2.git
Standards-Version: 3.9.5
Homepage: http://www.icecast.org/

Package: icecast2
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Suggests: ices2
Description: streaming media server
 Icecast is a versatile multimedia streaming server which can create
 (for instance) a private jukebox or "Internet radio station". It
 supports Ogg streaming using the Vorbis and Theora codecs, as well as
 other formats such as MP3, AAC, or NSV, and is compatible with most
 media players.
