## icecast2 2.4.2

=== debian/changelog ===
icecast2 (2.4.2-1~bpo7+11) wheezy-backports-sloppy; urgency=low

  * Rebuild for wheezy-backports-sloppy.

 -- Robert Weidlich <debian@robertweidlich.de>  Sat, 29 Aug 2015 11:30:03 +0200

icecast2 (2.4.2-1) unstable; urgency=high

  * Imported Upstream version 2.4.2 (Closes: #779968)
    - Set PATH_MAX to 4096 if not defined (Closes: #767542)
    - Fix crash with stream_auth (Closes: #782120, fixes: CVE-2015-3026)
  * Update upstream-tarball hints for new upstream source.
  * d/copyright, d/copyright_hints: Update for new upstream release.
  * ACK NMU by Simon Richter, thanks.
  * Debconf translation: Japanese, victory (Closes: #692970)
  * Relax debhelper compat level to 8 for easier backporting.
  * d/rules: Remove extra changelog.
  * d/icecast2.postinst: Change ed calls to sed. (Closes: #740667)
  * Update standards version to 3.9.6.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 29 Apr 2015 11:46:31 +0200
