=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libtool,
  automake1.11,
  autoconf,
- debhelper (>= 9),
+ debhelper (>= 8),
  dh-buildinfo,
  libogg-dev (>> 1.0.0),
  libvorbis-dev (>> 1.0.0),
@@ -25,7 +25,7 @@
  autoconf-archive
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/icecast2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/icecast2.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.icecast.org/
 
 Package: icecast2
