## icecast2 2.4.3

=== debian/changelog ===
icecast2 (2.4.3-2ubuntu0.1) bionic-security; urgency=high

  * SECURITY UPDATE: buffer overflow in URL authentication.
    - d/p/CVE-2018-18820.patch: Cherry-pick upstream commits fixing the issue.
    - CVE-2018-18820

 -- Unit 193 <unit193@ubuntu.com>  Wed, 31 Oct 2018 01:27:31 -0400

icecast2 (2.4.3-2) unstable; urgency=medium

  * Revert "Changed init script to create pid file by default." because it do
    not work.  Related to bug #585029.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Aug 2017 15:11:11 +0200

icecast2 (2.4.3-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Debconf translation: Japanese (thanks, Takuma Yamada; closes: #815954).
  * Updated debhelper compatibility level to 9.
  * Switch VCS link to https.
  * Change build dependency from automake1.11 to automake and adjust
    the CDBS rules to use automake version 1.15 (Closes: #865166).

  [ Unit 193 ]
  * d/control: Depend on lsb-base, for the init script.
  * d/control: Update Vcs-Browser to point to cgit.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.9.6 to 4.0.0.
  * Add simple autopkgtest check for the daemon.
  * Updated to new upstream version 2.4.3.
  * Changed init script to create pid file by default. (Closes: #585029)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 Jul 2017 09:27:49 +0000
