=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: icecast2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Guillaume Pellerin <yomguy@altern.org>,
  Romain Beauxis <toots@rastageeks.org>,
  Jonas Smedegaard <dr@jones.dk>,
@@ -10,9 +11,9 @@
  autotools-dev,
  devscripts,
  libtool,
- automake1.11,
+ automake,
  autoconf,
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-buildinfo,
  libogg-dev (>> 1.0.0),
  libvorbis-dev (>> 1.0.0),
@@ -24,13 +25,13 @@
  po-debconf,
  autoconf-archive
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/icecast2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/icecast2.git
-Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/icecast2.git/
+Standards-Version: 4.0.0
 Homepage: http://www.icecast.org/
 
 Package: icecast2
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Suggests: ices2
 Description: streaming media server
  Icecast is a versatile multimedia streaming server which can create
