=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
-DEB_AUTO_UPDATE_ACLOCAL = 1.11
-DEB_AUTO_UPDATE_AUTOMAKE = 1.11
+DEB_AUTO_UPDATE_ACLOCAL = 1.15
+DEB_AUTO_UPDATE_AUTOMAKE = 1.15
 DEB_AUTO_UPDATE_AUTOCONF = 2.68
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
@@ -28,7 +28,7 @@
 
 DEB_UPSTREAM_PACKAGE = icecast
 DEB_UPSTREAM_URL = http://downloads.xiph.org/releases/icecast/
-DEB_UPSTREAM_TARBALL_MD5 = 2b5d1b40778922e5f6431b7758c359ad
+DEB_UPSTREAM_TARBALL_MD5 = 55947c83d31dfcbbede58c9521c676f4
 
 # suppress check of some images (in addition to defaults)
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(win32/running\.bmp|doc/(listener_auth2|stats1|windowtitle|)\.jpg|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -39,9 +39,10 @@
 DEB_INSTALL_DIRS_icecast2 = var/log/icecast2
 DEB_INSTALL_MANPAGES_icecast2 = debian/icecast2.1
 
-# Debian has a central copy of the GPL, no need to distribute again
+# Debian has a central copy of the GPL, no need to distribute again, and remove the extra changelog.
 common-binary-post-install-arch::
 	rm -f $(DEB_DESTDIR)/usr/share/doc/icecast2/COPYING
+	rm -f $(DEB_DESTDIR)/usr/share/doc/icecast2/ChangeLog
 
 # Move XSLT templates and CSS files to /etc and replace with symlinks
 common-binary-post-install-arch::
