## icecast2 2.4.4

=== debian/changelog ===
icecast2 (2.4.4-4build6) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:18:44 -0500

icecast2 (2.4.4-4build5) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:18:56 +0200

icecast2 (2.4.4-4build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:31 +1100

icecast2 (2.4.4-4build3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:26:05 +0000

icecast2 (2.4.4-4build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:13:58 +0000

icecast2 (2.4.4-4build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:34:32 +0000

icecast2 (2.4.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.00.cvs030529-0.1.

  [ Unit 193 ]
  * d/control:
    - Swap WolfSSL for OpenSSL to avoid a memleak. (Closes: #969018)
    - Update my email address.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Fri, 09 Oct 2020 20:31:21 -0400

icecast2 (2.4.4-3) unstable; urgency=medium

  * d/README.source, d/control(,.in), d/copyright_hints, d/icecast2.dirs,
    d/icecast2.manpages, d/rules: Convert from cdbs to dh simple rules.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Drop dh-buildinfo from Build-Depends.
    - Drop version from Build-Depends, satisfied since before oldoldstable.
    - Remove Jonas from uploaders, thanks for all your work over the years!
    - Remove Guillaume Pellerin from uploaders, inactive since 2007.  Thanks!
    - Build-depend on pkg-config.
    - Add ${misc:Pre-Depends} to Pre-Depends.
  * d/p/2001-xslt-migrate.patch:
    - Migrate from using xslt-config to pkg-config. (Closes: #948960)
  * d/TODO.Debian: Drop, no longer useful.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 16 Jan 2020 19:26:17 -0500

icecast2 (2.4.4-2) unstable; urgency=medium

  [ Felix Lechner ]
  * d/p/1001-build-with-wolfssl.patch:
    - Add patch to use WolfSSL's OpenSSL compatibility layer. (Closes: #744815)
  * d/control, d/rules: Build-Depend on libwolfssl-dev.

  [ Unit 193 ]
  * d/p/1001-build-with-wolfssl.patch:
    - Adapt to work with either WolfSSL or OpenSSL.
  * d/control: Set R³ to no.
  * d/control, d/rules: Bump requirement on libwolfssl-dev to 4.2.0.
  * d/rules: Run autoreconf during build.
  * Update Standards-Version to 4.4.1.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 31 Oct 2019 21:01:03 -0400

icecast2 (2.4.4-1) unstable; urgency=high

  * New upstream version 2.4.4
    - Fix buffer overflows in URL auth code. #2342
    - Closes: #912611, CVE-2018-18820
  * d/watch: Drop the svn-upgrade call, this hasn't been in svn for a long time.
  * d/gbp.conf: Rename section git-import-orig → import-orig.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 01 Nov 2018 18:07:33 -0400

icecast2 (2.4.3-3) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Change cdbs rules file to not depend on a specific auto(make,conf) version.
    - Closes: #906433

  [ Unit 193 ]
  * d/README.source, d/control, d/copyright, d/rules, d/watch:
    - Use https where possible.
  * d/changelog: Remove trailing spaces from old entries.
  * d/copyright: Update 'Source' field.
  * d/compat: Bump dh compat to 10.
  * d/control:
    - Update Vcs-* fields for Salsa.
    - Bump debhelper B-D to 11.1 due to use of --no-enable.
    - Replace devscripts B-D for licensecheck.
    - Drop B-D on autotools-dev, autoconf, automake, and libtool.
  * d/icecast2.default, d/icecast2.init, d/icecast2.maintscript:
    - Remove use of /e/d/icecast2.
  * d/icecast2.postinst, d/rules:
    - Handle upgrades that didn't have the daemon enabled,
      disable icecast2 unless debconf configured.
  * d/icecast2.postinst: Don't use recursive chmod/chown.
  * d/icecast2.lintian-overrides:
    - Override duplicate-updaterc.d-calls-in-postinst, calls guarded.
  * d/icecast.service: Add a systemd unit.
  * Update Standards-Version to 4.2.1.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Unit 193 <unit193@ubuntu.com>  Thu, 06 Sep 2018 01:21:51 -0400
