=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://downloads.xiph.org/releases/icecast/icecast-([\d+\.]+|\d+)\.tar\.gz
