## icecast2 2.4.99.3

=== debian/changelog ===
icecast2 (2.4.99.3-1) UNRELEASED; urgency=medium

  * Preparing for 2.5 beta3 aka 2.4.99.3

 --  Philipp Schafft <lion@lion.leolix.org>  Sun, 13 Mar 2022 18:25:33 +0000

icecast2 (2.4.99.2-1) UNRELEASED; urgency=medium

  * 2.5 beta 2

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Wed, 04 Apr 2018 05:42:23 -0000

icecast2 (2.4.2-2) UNRELEASED; urgency=medium

  * Fix broken postinst script

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Wed, 14 Apr 2015 09:05:23 -0000

icecast2 (2.4.2-1) UNRELEASED; urgency=medium

  * Security fix release
  * Also fixed the package configuration, tnx Ukikie

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Wed, 08 Apr 2015 10:23:42 -0000

icecast2 (2.4.1-2) UNRELEASED; urgency=medium

  * Fixed docdir problem, doc directory structure is now OK.

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sun, 13 Dec 2014 18:23:42 -0000

icecast2 (2.4.1-1) UNRELEASED; urgency=medium

  * Packaging based on 2.4.0 of debian/SID
  * SECURITY FIX
  * see ChangeLog for details

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sun, 23 Nov 2014 16:47:42 -0000

icecast2 (2.4.0-1) UNRELEASED; urgency=low

  * SECURITY FIX - Override supplementary groups if <changeowner>
  * Added <audio> for supported streams. TNX ePirat
  * status2.xsl, broken for a decade, now it's gone!
  * Updated docs: 
    * logging to STDERR; known issues
    * Refactored docs about client authentication
    * Vastly improved page about Icecast statistics
    * Clean up supported windows versions
    * Quick fixup of the basic setup page
    * Minor fixes to the config file documentation
    * Updated YP documentation
    * Reduced win32 documentation to essentials
  * Adding stream_start_iso8601, server_start_iso8601
    ISO8601 compliante timestamps for statistics. Should make usage in
    e.g. JSON much easier.
    Added as new variables to avoid breaking backwards compatibility.
  * Nicer looking tables for the admin interface.
    ePirat sent updated tables code that should look much nicer.
    This is admin interface only (and a global css change).
  * Set content-type to official "application/json"
  * Initial JSON status transform.
    Output roughly limited to data also visible through status.xsl.
  * Silence direct calls, add partial array support.
  * The XSLT will now return empty if called directly.
    This is a security measure to prevent unintended data leakage.
  * Adding partial array support to print sources in an array. 
    Code lifted from: 
    https://code.google.com/p/xml2json-xslt/issues/detail?id=3
  * Adding xml2json XSLT, svn r31 upstream trunk.
    https://code.google.com/p/xml2json-xslt/

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sun, 25 May 2014 13:54:42 +0000

icecast2 (2.3.99.5-1) UNRELEASED; urgency=low

  * Icecast 2.4 Beta5 aka 2.3.99.5
  * Updated web interface to be fully XHTML compliant.
    Credit to ePirat
  * Send charset in headers for everything, excluding file-serv and streams.
  * Documentation updates

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sat, 01 Mar 2014 18:32:23 +0000

icecast2 (2.3.99.4-1) UNRELEASED; urgency=low

  * Icecast 2.4 Beta4
  * Updated web interface to be more XHTML compliant.
  * Fixed a memory leak. Lost headers of stream because of wrong ref
    counter in associated refbuf objects.
  * avoid memory leak in _parse_mount() when "type"-attribute is set
  * Completed HTTP PUT support, send 100-continue-header,
    if client requests it. We need to adhere to HTTP1.1 here.
  * corrected Date-header format to conform the standard (see RFC1123).
    Thanks to cato for reporting.
  * Added a favicon to the web-root content
  * We now split handling of command line arguments into two parts.
    Only the critical part of getting the config file is done first (and
    -v as it prevents startup). The rest (currently only -b) is deferred.
    It allows us to log error messages to stderr even if the -b argument
    is passed. This is mainly for the case where the logfile or TCP port 
    can't be opened.

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Thu, 23 Jan 2014 13:55:23 +0000

icecast2 (2.3.99.3-1) UNRELEASED; urgency=low

  * Icecast 2.4 Beta3
  * Added default mount settings
  * Various fixes

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sat, 06 Apr 2013 05:00:00 +0000

icecast2 (2.3.99.2-1) UNRELEASED; urgency=low

  * Icecast 2.4 Beta2
  * Now compiles for win32 using mingw
  * Added options "headers" and "header_prefix" to URL based listener auth.
  * Updated listener_remove handler:
    +   added ip= and agent=,
    +   Some cleanup && made code more uniform,
    +   avoid int for size_t vars.
    +   close #1422 #1422
  * Allow full URLs to be returned by the master server. close #1878
  * Highly experimental HTTP PUT support. ref #1812
    +   We are handling it the same as we would handle a SOURCE request.
        Due to legacy code, sender MUST send proper content-type header,
        if content type is not audio/mpeg!
        Can be tested using real-time encoded output and piping it into:
         | curl -u username:password -H "Content-type: application/ogg" \
         -T - http://localhost:8000/mountname.ogg
       Note that this example has ZERO timing, so a simple 'cat *.ogg' 
       will fail.
       Whatever feeds the pipe must do it at proper timing for real-time
       playback!

 -- Thomas B. Ruecker <thomas@ruecker.fi>  Sun, 31 Mar 2013 15:16:35 +0000
