## icecast2 2.4.99.3%2B20220321095153%2B6f16abf1df855c1e06f8e31feaf3765c788b546f

=== debian/changelog ===
icecast2 (2.4.99.3+20220321095153+6f16abf1df855c1e06f8e31feaf3765c788b546f-1) UNRELEASED; urgency=medium

  * CI Build - https://gitlab.xiph.org/xiph/icecast-server/-/pipelines/2901

 --  Philipp Schafft <lion@lion.leolix.org>  Mon, 21 Mar 2022 09:52:16 +0000
