## icecast2 2.4.999.1%2B2025082622%2B02d5

=== debian/changelog ===
icecast2 (2.4.999.1+2025082622+02d5-1) UNRELEASED; urgency=medium

  * CI Build - https://gitlab.xiph.org/xiph/icecast-server/-/pipelines/6919

 --  Philipp Schafft <phschafft@de.loewenfelsen.net>  Tue, 26 Aug 2025 22:14:59 +0000

icecast2 (2.5.0-rc1-1) UNRELEASED; urgency=medium

  * Preparing for 2.5.0-rc1

 --  Philipp Schafft <lion@lion.leolix.org>  Tue, 26 Aug 2025 20:58:12 +0000
