=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  autotools-dev,
  devscripts,
  libtool,
- automake1.11,
  autoconf,
  debhelper,
  dh-buildinfo,
@@ -22,7 +21,9 @@
  po-debconf,
  pkg-config,
  dh-autoreconf,
- automake
+ automake,
+ gpg,
+ gpgv
 Standards-Version: 3.9.5
 Homepage: http://www.icecast.org/
