## icecast2 2.5.0

=== debian/changelog ===
icecast2 (2.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Unit 193 ]
  * New upstream version 2.5.0.
  * Drop patches.
  * d/control:
    - Adjust Build-Depends:
      + pkgconf, libigloo-dev, libmaxminddb-dev, librhash-dev
      - autoconf-archive, pkg-config
      ~ Sort.
    - Drop 'priority' and R³, set by default.
    - Depend on libjs-jquery and fonts-font-awesome.
  * d/copyright: Update attribution.
  * d/icecast2.postinst: Drop deprecated migrations.
  * d/icecast2.service, d/rules: Add systemd unit. (Closes: #1039225)
  * d/icecast2.links: Add symlinks to use system font-awesome and jquery.
  * d/t/control, d/t/test-daemon: Fix test.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Jan 2026 03:44:07 -0500
