=== debian/control ===
Source: icecast2
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13),
 libcurl4-openssl-dev,
 libigloo-dev (>= 0.9.5~),
 libmaxminddb-dev,
 libogg-dev,
 librhash-dev,
 libspeex-dev,
 libssl-dev,
 libtheora-dev,
 libvorbis-dev,
 libxml2-dev,
 libxslt1-dev | libxslt-dev,
 pkgconf,
 po-debconf,
Vcs-Git: https://salsa.debian.org/multimedia-team/icecast2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/icecast2
Standards-Version: 4.7.3
Homepage: https://icecast.org/

Package: icecast2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libjs-jquery, fonts-font-awesome
Suggests: ices2
Description: streaming media server
 Icecast is a versatile multimedia streaming server which can create
 (for instance) a private jukebox or "Internet radio station". It
 supports Ogg streaming using the Vorbis and Theora codecs, as well as
 other formats such as MP3, AAC, or NSV, and is compatible with most
 media players.
