=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 
 override_dh_installinit:
 	dh_installinit --no-enable
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable
