=== debian/tests/control ===
Tests: test-daemon
Depends: @, curl
Restrictions: needs-root
